Tietoja Xcode 7.0:n turvallisuussisällöstä

Tässä asiakirjassa kerrotaan Xcode 7.0:n turvallisuussisällöstä.

Suojellakseen asiakkaitaan Apple ei paljasta tietoturvaongelmia eikä anna niistä tietoja tai vahvista niitä, ennen kuin täydellinen tutkinta on tehty ja tarpeelliset korjauspäivitykset tai uudet versiot ovat saatavilla. Lisätietoja Applen tuoteturvallisuudesta on Applen tuoteturvallisuussivustolla.

Lisätietoja Applen tuoteturvallisuuden PGP-avaimesta on artikkelissa Applen tuoteturvallisuuden PGP-avaimen käyttäminen.

CVE ID -tunnuksia käytetään mahdollisuuksien mukaan viittaamaan lisätietoihin haavoittuvuuksista.

Tietoja muista suojauspäivityksistä on artikkelissa Applen suojauspäivitykset.

Xcode 7.0

  • DevTools

    Saatavuus: OS X Yosemite 10.10.4 tai uudempi.

    Vaikutus: Hyökkääjä saattoi pystyä ohittamaan käyttörajoituksia.

    Kuvaus: Apache-määrityksissä oli API-ongelma. Ongelma on ratkaistu päivittämällä otsaketiedostot käyttämään uusinta versiota.

    CVE-ID

    CVE-2015-3185: Apache Software Foundationin Branko Äibej

  • IDE Xcode Server

    Saatavuus: OS X Yosemite 10.10.4 tai uudempi.

    Vaikutus: Hyökkääjä saattoi päästä tiedostojärjestelmän rajoitettuihin osiin.

    Kuvaus: Lähetysmoduulissa oli vertailuongelma node.js 0.8.4:ää edeltävissä versioissa. Ongelma on ratkaistu päivittämällä node.js versioon 0.12.3.

    CVE-ID

    CVE-2014-6394: Ilya Kantor

  • IDE Xcode Server

    Saatavuus: OS X Yosemite 10.10.4 tai uudempi.

    Vaikutus: Useita haavoittuvuuksia OpenSSL:ssä.

    Kuvaus: node.js:n OpenSSL-moduulin 1.0.1j:tä edeltävissä versiossa oli useita haavoittuvuuksia. Ongelmat on ratkaistu päivittämällä openssl versioon 1.0.1j.

    CVE-ID

    CVE-2014-3513

    CVE-2014-3566

    CVE-2014-3567

    CVE-2014-3568

  • IDE Xcode Server

    Saatavuus: OS X Yosemite 10.10.4 tai uudempi.

    Vaikutus: Etuoikeutetussa verkkoasemassa ollut hyökkääjä saattoi pystyä tutkimaan Xcode Serveriin suuntautuvaa liikennettä.

    Kuvaus: Xcode Serveriin pystyttiin muodostamaan salaamattomia yhteyksiä. Ongelma on ratkaistu parantamalla verkkoyhteyslogiikkaa.

    CVE-ID

    CVE-2015-5910: nimetön tutkija

  • IDE Xcode Server

    Saatavuus: OS X Yosemite 10.10.4 tai uudempi.

    Vaikutus: Build-ilmoitukset saatettiin lähettää vastaanottajille, joille niitä ei ollut tarkoitettu.

    Kuvaus: Säilön sähköpostilistojen käsittelyssä oli käyttöoikeusongelma. Ongelma on ratkaistu parantamalla tarkistusta.

    CVE-ID

    CVE-2015-5909: Rocket Appsin Daniel Tomlinson ja Anchorfreen David Gatwood

  • subversion

    Saatavuus: OS X Yosemite 10.10.4 tai uudempi.

    Vaikutus: svn 1.7.19:ää edeltävissä versioissa oli useita haavoittuvuuksia.

    Kuvaus: svn 1.7.19:ää edeltävissä versioissa oli useita haavoittuvuuksia. Ne on ratkaistu päivittämällä svn versioon 1.7.20.

    CVE-ID

    CVE-2015-0248

    CVE-2015-0251

Tiedot tuotteista, jotka eivät ole Applen valmistamia, sekä tiedot itsenäisistä verkkosivustoista, jotka eivät ole Applen hallinnoimia tai testaamia, eivät sisällä suosituksia. Apple ei vastaa muiden valmistajien verkkosivustojen tai tuotteiden valikoimasta, toimivuudesta tai käytöstä. Apple ei takaa muiden valmistajien verkkosivustojen tarkkuutta tai luotettavuutta. Saat lisätietoja ottamalla yhteyttä myyjään.

Julkaisupäivämäärä: